Puzzle / Developers
API referenceReports

Get Vendor Spending Report

GET /company/{id}/vendor-spending-report

GET/company/{id}/vendor-spending-report

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

startDate*string

Calendar month, YYYY-MM

Match^\d{4}-\d{2}$
endDate*string

Calendar month, YYYY-MM

Match^\d{4}-\d{2}$

Response Body

application/json

curl -X GET "https://example.com/company/string/vendor-spending-report?startDate=string&endDate=string"
{  "title": "string",  "columns": [    "string"  ],  "rows": [    [      "string"    ]  ]}

Schema refreshed 2026-11-11T18:57:48.657Z